QuickTest

Safe Haskell | Safe-Infered

Codec.Encryption.AESAux

Description

Advanced Encryption System (specification can be found in FIPS-197)

# Documentation

aes128Encrypt

Arguments

:: [Octet] | key (16 octets)
-> [Octet] | msg (16 octets)
-> [Octet] | enciphered msg (16 octets)

aes192Encrypt

Arguments

:: [Octet] | key (24 octets)
-> [Octet] | msg (16 octets)
-> [Octet] | enciphered msg (16 octets)

aes256Encrypt

Arguments

:: [Octet] | key (32 octets)
-> [Octet] | msg (16 octets)
-> [Octet] | enciphered msg (16 octets)

aes128Decrypt

Arguments

:: [Octet] | key (16 octets)
-> [Octet] | enciphered msg (16 octets)
-> [Octet] | deciphered msg (16 octets)

aes192Decrypt

Arguments

:: [Octet] | key (24 octets)
-> [Octet] | enciphered msg (16 octets)
-> [Octet] | deciphered msg (16 octets)

aes256Decrypt

Arguments

:: [Octet] | key (32 octets)
-> [Octet] | enciphered msg (16 octets)
-> [Octet] | deciphered msg (16 octets)